/*****************************************************************************
 *
 * CTraxBackupMgr Generic Conduit Backup Database Mgr Header File
 *
 ****************************************************************************/

#ifndef _TRAX_BACKUP_DB_MGR_H_
#define _TRAX_BACKUP_DB_MGR_H_

#include "TraxPcMgr.h"


class CTraxBackupMgr : public CTraxPcMgr
{
public:
    CTraxBackupMgr(CPLogging *pLogging, DWORD dwGenericFlags, char *szDbName, TCHAR *pFileName, TCHAR *pDirName = NULL, eSyncTypes syncType = eDoNothing);
    virtual ~CTraxBackupMgr();

protected:  // protected Variables
    TCHAR m_szRealDb[256];


public:     // Public Functions
    virtual long PreSync(void);
    virtual long PostSync(void);
    virtual long Close(BOOL bDontUpdate=FALSE);

protected:    // protected Functions
    virtual long OpenDB(void);

};

#endif

